## org.biojava.bio.dp
Class IllegalTransitionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.biojava.bio.BioException
                        |
                        +--org.biojava.bio.dp.IllegalTransitionException

public class IllegalTransitionException
extends BioException

This exception indicates that there is no transition between two states.

See Also:
  Serialized Form

Constructor Summary
`IllegalTransitionException()`
`IllegalTransitionException(State from, State to)`
`IllegalTransitionException(State from, State to, java.lang.String message)`

Method Summary
`State` `getFrom()`
`State` `getTo()`

Methods inherited from class org.biojava.bio.BioException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalTransitionException

    public IllegalTransitionException(State from,
                                      State to,
                                      java.lang.String message)

### IllegalTransitionException

    public IllegalTransitionException(State from,
                                      State to)

### IllegalTransitionException

    public IllegalTransitionException()

Method Detail

### getFrom

    public State getFrom()

### getTo

    public State getTo()